Loading...
Searching...
No Matches
Opm::ImmiscibleIndices< TypeTag, PVOffset > Struct Template Reference

The indices for the isothermal multi-phase model. More...

`#include <immiscibleindices.hh>`

Inheritance diagram for Opm::ImmiscibleIndices< TypeTag, PVOffset >:

## Public Types

enum | { enableEnergy = getPropValue<TypeTag, Properties::EnableEnergy>() }
using | EnergyIndices = ::Opm::EnergyIndices<PVOffset + numPhases, enableEnergy>

## Static Public Attributes

static constexpr int | numPhases = getPropValue<TypeTag, Properties::NumPhases>()
static constexpr int | numEq = numPhases + EnergyIndices::numEq_
static constexpr int | pressure0Idx = PVOffset + 0
| Index for wetting/non-wetting phase pressure (depending on formulation) in a solution vector.
static constexpr int | saturation0Idx = PVOffset + 1
| Index of the saturation of the non-wetting/wetting phase.
static constexpr int | conti0EqIdx = PVOffset + 0
| Index of the continuity equation of the first phase.

## Detailed Description

template<class TypeTag, int PVOffset>
struct Opm::ImmiscibleIndices< TypeTag, PVOffset >

The indices for the isothermal multi-phase model.

The documentation for this struct was generated from the following file:

- opm/models/immiscible/immiscibleindices.hh